﻿@model MIMS.Portal.ViewModels.TicketViewModel

@using MIMS.Portal.Core.Domains;
@using Microsoft.AspNetCore.Http;
@using  MIMS.Portal.Commons.Extensions;

<form method="post" enctype="multipart/form-data">
    <div class="card">
        <div class="card-header">
            <h2 class="card-title">تیکت پشتیبانی جدید</h2>

            <div class="clearfix"></div>
        </div>
        <div class="card-body">
            <div class="card-block">

                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                @*<input asp-for="SenderUserId" hidden />*@

                <div class="form">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-9">
                                <div class="form-group">
                                    <label asp-for="Subject" class="control-label"></label>
                                    <span asp-validation-for="Subject" class="text-danger"></span>
                                    <input asp-for="Subject" asp-description-for="Subject" class="form-control" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label asp-for="Priority" class="control-label"></label>
                                    <span asp-validation-for="Priority" class="text-danger"></span>
                                    <select asp-for="Priority" asp-description-for="Priority" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Priority>()">
                                        <option selected value="">--</option>
                                    </select>                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label asp-for="Body" class="control-label"></label>
                                    <span asp-validation-for="Body" class="text-danger"></span>
                                    <textarea asp-for="Body" asp-description-for="Body" class="form-control" rows="5" cols="40"></textarea>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label asp-for="Attachment" class="control-label"></label>
                                    <span asp-validation-for="Attachment" class="text-danger"></span>
                                    <div class="custom-file">
                                        <input asp-for="Attachment" asp-description-for="Attachment" class="custom-file-input" draggable="auto" lang="fa" />
                                        <label class="custom-file-label">انتخاب پیوست</label>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <div class="card-footer">
            <div class="form-actions">
                <button type="submit" class="btn btn-primary btn-min-width">
                    <i class="icon-check2"></i>
                    ثبت
                </button>
            </div>
        </div>
    </div>
</form>



@section Scripts{


    @*<script src="~/assets/plugins/summernote/dist/summernote.min.js"></script>*@
    @*<script src="~/assets/plugins/summernote/dist/summernote-init.js"></script>*@
}